Last Comment Bug 761635 - [MSVC8] "dom/indexedDB/IDBCursor.cpp(42) : error C2872: 'ipc' : ambiguous symbol" after bug 666693
: [MSVC8] "dom/indexedDB/IDBCursor.cpp(42) : error C2872: 'ipc' : ambiguous sym...
Status: VERIFIED FIXED
[qa-]
: regression
Product: Core
Classification: Components
Component: DOM: IndexedDB (show other bugs)
: Trunk
: x86 Windows Server 2003
: P1 blocker (vote)
: mozilla16
Assigned To: :Ms2ger (⌚ UTC+1/+2)
:
Mentors:
http://mxr.mozilla.org/mozilla-centra...
Depends on: 756108
Blocks: 666693
  Show dependency treegraph
 
Reported: 2012-06-05 08:41 PDT by Serge Gautherie (:sgautherie)
Modified: 2012-06-25 02:14 PDT (History)
9 users (show)
bugzillamozillaorg_serge_20140323: in‑testsuite-
See Also:
Crash Signature:
(edit)
QA Whiteboard:
Iteration: ---
Points: ---
Has Regression Range: ---
Has STR: ---
verified


Attachments
(Av1) Add 'mozilla::dom::indexedDB::' namespace to unconfuse MSVC8 (28.60 KB, patch)
2012-06-07 14:47 PDT, Serge Gautherie (:sgautherie)
khuey: review-
Details | Diff | Splinter Review
Bigger patch [Checked in: Comment 6 & 9] (30.93 KB, patch)
2012-06-10 05:26 PDT, :Ms2ger (⌚ UTC+1/+2)
khuey: review+
Details | Diff | Splinter Review

Description Serge Gautherie (:sgautherie) 2012-06-05 08:41:20 PDT
See bug 666693 comment 22.

***

https://tbpl.mozilla.org/?tree=Thunderbird-Try&rev=830df2eb8cec
MSVC10 SeaMonkey succeeds.

https://tbpl.mozilla.org/?tree=Thunderbird-Try&rev=2c02ab33151a
MSVC8 SeaMonkey fails.
Comment 1 Serge Gautherie (:sgautherie) 2012-06-07 14:47:54 PDT
Created attachment 631152 [details] [diff] [review]
(Av1) Add 'mozilla::dom::indexedDB::' namespace to unconfuse MSVC8

Fixes reported (= no more, no less) errors in Try logs.

Succeeded as (SeaMonkey on MSVC8)
https://tbpl.mozilla.org/?tree=Thunderbird-Try&rev=7d0401e10421
Comment 2 Ben Turner (not reading bugmail, use the needinfo flag!) 2012-06-08 17:35:38 PDT
Comment on attachment 631152 [details] [diff] [review]
(Av1) Add 'mozilla::dom::indexedDB::' namespace to unconfuse MSVC8

Review of attachment 631152 [details] [diff] [review]:
-----------------------------------------------------------------

I really don't like all the extra goop this adds... Can we instead add a 'using namespace mozilla::dom::indexedDB::ipc;" to the top of these files, then remove the "ipc::" each place we use one of these types?
Comment 3 Justin Wood (:Callek) 2012-06-08 22:25:44 PDT
(In reply to ben turner [:bent] from comment #2)
> Comment on attachment 631152 [details] [diff] [review]
> (Av1) Add 'mozilla::dom::indexedDB::' namespace to unconfuse MSVC8
> 
> Review of attachment 631152 [details] [diff] [review]:
> -----------------------------------------------------------------
> 
> I really don't like all the extra goop this adds... Can we instead add a
> 'using namespace mozilla::dom::indexedDB::ipc;" to the top of these files,
> then remove the "ipc::" each place we use one of these types?

Ben, this is completely burning us, (and all local developers on MSVC8EE which is still supported!) any chance we can land the existing patch, and do the change you suggest in a followup?

(fwiw I disagree with the disambiguity in the namespace in the first place ;-) )
Comment 4 :Ms2ger (⌚ UTC+1/+2) 2012-06-10 05:26:06 PDT
Created attachment 631737 [details] [diff] [review]
Bigger patch
[Checked in: Comment 6 & 9]

Pick one, please
Comment 5 Kyle Huey [:khuey] (khuey@mozilla.com) 2012-06-10 09:57:27 PDT
Comment on attachment 631737 [details] [diff] [review]
Bigger patch
[Checked in: Comment 6 & 9]

Review of attachment 631737 [details] [diff] [review]:
-----------------------------------------------------------------

If you've verified that this compiles, r=me.
Comment 6 Ryan VanderMeulen [:RyanVM] 2012-06-10 15:27:28 PDT
https://hg.mozilla.org/mozilla-central/rev/05842457dfdf
Comment 7 Justin Wood (:Callek) 2012-06-10 15:48:18 PDT
Comment on attachment 631737 [details] [diff] [review]
Bigger patch
[Checked in: Comment 6 & 9]

When this was likely a one or two line patch I had conditional-on-green a+ from alex for aurora (to get SeaMonkey/local-devs fixed) But since its bigger I figure an explicit approval is necessary.

[Approval Request Comment]
Bug caused by (feature/regressing bug #): exposed/caused by Bug 666693
User impact if declined: MSVC8 devs cannot builds, SeaMonkey Aurora cannot build on windows.
Testing completed (on m-c, etc.): Checked into m-c today. (SeaMonkey machines have a longer end-to-end, so unsure there yet, but will hold off landing until I am sure that this fixes us)
Risk to taking this patch (and alternatives if risky): None.
String or UUID changes made by this patch: None
Comment 8 Justin Wood (:Callek) 2012-06-10 15:48:49 PDT
swapping assignee to author of accepted patch
Comment 9 Justin Wood (:Callek) 2012-06-11 21:39:37 PDT
Comment on attachment 631737 [details] [diff] [review]
Bigger patch
[Checked in: Comment 6 & 9]

Bug 761635 - "[MSVC8] "dom/indexedDB/IDBCursor.cpp(42) : error C2872: 'ipc' : ambiguous symbol" after bug 666693" r=khuey a=khuey
(Kyle claims this is simple enough to not need a 'real' approval since its a bustage fix for SeaMonkey. -- Taking him up on that statement)

http://hg.mozilla.org/releases/mozilla-aurora/rev/bacdd7be41ff

Note You need to log in before you can comment on or make changes to this bug.